/* ----------------------------------------------------------------------- */
/*                                 Macro                                   */
/* ----------------------------------------------------------------------- */
#define LINE_LENGTH 255
#define MED_LINE_LENGTH 1024
#define MEDLONG_LINE_LENGTH 20000
#define LONG_LINE_LENGTH 65535
#define PROC_SUCCESS 1
#define PROC_FAILURE 0
#define WORD_SEPARATORS "\t "

/* ----------------------------------------------------------------------- */ 
/*                                 Struct                                  */
/* ----------------------------------------------------------------------- */ 
/* tagString is used for string processing. */
struct tagString
{
	/* pString is used for recording string. */
	char *m_pString;
	/* m_nLength is used for recording the length of string. */
	long m_nLength;
};

/* ----------------------------------------------------------------------- */
/*                              Declaration                                */
/* ----------------------------------------------------------------------- */
char* StrTrimRight(char strLongLine[]);
char* StrTrimLeft(char strLongLine[]);
char* StrTrimSpace(char strLongLine[]);
void StrMakeUpper(char strLongLine[]);
struct tagString *CreateString(long nLength);
void DeleteString(struct tagString *pDelString);
struct tagString *StringAddTail(struct tagString **pString, char strLine[]);
